### Method

# Xdp Portal get_user_information

#### Declaration [src]

    void
    xdp_portal_get_user_information (
      XdpPortal* portal,
      XdpParent* parent,
      const char* reason,
      XdpUserInformationFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Gets information about the user.

When the request is done, `callback` will be called. You can then call `xdp_portal_get_user_information_finish()` to get the results.

This method completes asynchronously. Use `xdp_portal_get_user_information_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`reason`

  Type: `const char*`

  A string that can be shown in the dialog to explain why the information is needed.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `XdpUserInformationFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.